| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
InstanceHandle_t Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Struct InstanceHandle_t, used to contain the key for WITH_KEY topics. More...

`#include <InstanceHandle.hpp>`

## Public Member Functions

| InstanceHandle_t () noexcept=default
| InstanceHandle_t (const InstanceHandle_t &ihandle) noexcept=default
| InstanceHandle_t (const GUID_t &guid) noexcept
InstanceHandle_t & | operator= (const InstanceHandle_t &ihandle) noexcept=default
| Assignment operator.
InstanceHandle_t & | operator= (const GUID_t &guid) noexcept
| Assignment operator.
bool | isDefined () const noexcept
| Know if the instance handle is defined.
void | clear () noexcept
| operator const GUID_t & () const noexcept

## Public Attributes

InstanceHandleValue_t | value
| Value.

## Detailed Description

Struct InstanceHandle_t, used to contain the key for WITH_KEY topics.

## Constructor & Destructor Documentation

## ◆ InstanceHandle_t() [1/3]

InstanceHandle_t | ( |  | ) |

default noexcept

## ◆ InstanceHandle_t() [2/3]

InstanceHandle_t | ( | const InstanceHandle_t & | ihandle | ) |

default noexcept

## ◆ InstanceHandle_t() [3/3]

InstanceHandle_t | ( | const GUID_t & | guid | ) |

inline noexcept

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline noexcept

## ◆ isDefined()

bool isDefined | ( |  | ) | const

inline noexcept

Know if the instance handle is defined.

Returns
  True if the values are not zero.

## ◆ operator const GUID_t &()

operator const GUID_t & | ( |  | ) | const

inline explicit noexcept

## ◆ operator=() [1/2]

InstanceHandle_t & operator= | ( | const GUID_t & | guid | ) |

inline noexcept

Assignment operator.

Parameters

  guid | GUID to copy the data from

## ◆ operator=() [2/2]

InstanceHandle_t & operator= | ( | const InstanceHandle_t & | ihandle | ) |

default noexcept

Assignment operator.

Parameters

  ihandle | Instance handle to copy the data from

## Member Data Documentation

## ◆ value

InstanceHandleValue_t value

Value.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/InstanceHandle.hpp